DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Member Functions | List of all members
I2DOutputPlugOphthalmicPhotography Class Reference

img2dcm output plugin for Ophthalmic Photography Storage SOP Class More...

Inheritance diagram for I2DOutputPlugOphthalmicPhotography:

## Public Member Functions
| I2DOutputPlugOphthalmicPhotography ()
| Constructor, initializes member variables with standard values.
virtual | ~I2DOutputPlugOphthalmicPhotography ()
| Virtual Destructor, clean up memory.
virtual OFString | ident ()
| Virtual function that returns a short name of the plugin. More...
virtual void | supportedSOPClassUIDs (OFList< OFString > &suppSOPs)
| Overwrites function from base class. More...
virtual OFCondition | convert (DcmDataset &dataset) const
| Outputs SOP class specific information into dataset. More...
virtual OFString | isValid (DcmDataset &dataset) const
| Do some completeness / validity checks. More...
virtual OFBool | supportsMultiframe () const
| check if the output format supported by this plugin can write multi-frame images. More...
virtual OFBool | colorModelPermitted (const OFString &photometricInterpretation, E_TransferSyntax outputTS) const
| checks if the output SOP class permits the given combination of transfer syntax and photometric interpretation More...
virtual OFCondition | updateColorModel (OFString &photometricInterpretation, E_TransferSyntax outputTS) const
| change the photometric interpretation to the next best permitted one, for lenient mode More...
virtual OFCondition | insertMultiFrameAttributes (DcmDataset *targetDataset, size_t numberOfFrames) const
| Add multiframe specific attributes. More...
Public Member Functions inherited from I2DOutputPlug
| I2DOutputPlug ()
| Constructor, initializes member variables.
virtual | ~I2DOutputPlug ()
| Destructor.
virtual void | setValidityChecking (OFBool doChecks, OFBool insertMissingType2=OFTrue, OFBool inventMissingType1=OFTrue)
| Enable/Disable basic validity checks for output dataset. More...

## Private Member Functions
virtual OFCondition | handle8BitImage (DcmDataset *dataset) const
| Handle 8-bit image dataset. More...
virtual OFCondition | handle16BitImage (DcmDataset *dataset) const
| Handle 16-bit image dataset. More...

## Additional Inherited Members
Protected Member Functions inherited from I2DOutputPlug
virtual OFString | checkType1Attrib (const DcmTagKey &key, DcmDataset *targetDset) const
| Checks whether a given tag exists in a dataset and is non-empty, otherwise returns an error string. More...
virtual OFString | checkAndInventType1Attrib (const DcmTagKey &key, DcmDataset *targetDset, const OFString &defaultValue="") const
| Checks whether a given tag exists in a dataset and provides a non-empty value. More...
virtual OFString | checkAndInventType1CodeSQ (const DcmTagKey &key, DcmDataset *targetDset, const OFString &codeValue, const OFString &codeMeaning, const OFString &codingSchemeDesignator) const
| Checks whether a given code sequence exists in a dataset and contains an item with the required attributes. More...
virtual OFString | checkAndInventType2Attrib (const DcmTagKey &key, DcmDataset *targetDset, const OFString &defaultValue="") const
| Checks whether a given tag exists in a dataset (can be empty) If not, the tag is inserted (if enabled) with empty value. More...
Protected Attributes inherited from I2DOutputPlug
OFBool | m_doAttribChecking
| if enabled, some simple attribute checking is performed default: enabled (OFTrue)
OFBool | m_inventMissingType2Attribs
| if enabled, missing type 2 attributes in the dataset are added automatically. More...
OFBool | m_inventMissingType1Attribs
| if enbled, missing type 1 attributes are inserted and filled with a predefined value. More...

## Detailed Description

img2dcm output plugin for Ophthalmic Photography Storage SOP Class

## Member Function Documentation

## ◆ colorModelPermitted()

virtual OFBool I2DOutputPlugOphthalmicPhotography::colorModelPermitted | ( | const OFString & | photometricInterpretation,
|  | E_TransferSyntax | outputTS
| ) |  | const
| virtual

checks if the output SOP class permits the given combination of transfer syntax and photometric interpretation

Parameters

  photometricInterpretation | - [in] photometric interpretation
  outputTS | - [in] output transfer syntax

Returns
  true if combination permitted, false otherwise

Implements I2DOutputPlug.

## ◆ convert()

virtual OFCondition I2DOutputPlugOphthalmicPhotography::convert | ( | DcmDataset & | dataset | ) | const
| virtual

Outputs SOP class specific information into dataset.

Parameters

  dataset | - [in/out] Dataset to write to

Returns
  EC_Normal if successful, error otherwise

Implements I2DOutputPlug.

## ◆ handle16BitImage()

virtual OFCondition I2DOutputPlugOphthalmicPhotography::handle16BitImage | ( | DcmDataset * | dataset | ) | const
| private virtual

Handle 16-bit image dataset.

Used internally in convert() method.

Parameters

  dataset | pointer to DICOM dataset, must not be NULL

Returns
  EC_Normal if successful, an error code otherwise

## ◆ handle8BitImage()

virtual OFCondition I2DOutputPlugOphthalmicPhotography::handle8BitImage | ( | DcmDataset * | dataset | ) | const
| private virtual

Handle 8-bit image dataset.

Used internally in convert() method.

Parameters

  dataset | pointer to DICOM dataset, must not be NULL

Returns
  EC_Normal if successful, an error code otherwise

## ◆ ident()

virtual OFString I2DOutputPlugOphthalmicPhotography::ident | ( |  | ) |
| virtual

Virtual function that returns a short name of the plugin.

Returns
  The name of the plugin

Implements I2DOutputPlug.

## ◆ insertMultiFrameAttributes()

virtual OFCondition I2DOutputPlugOphthalmicPhotography::insertMultiFrameAttributes | ( | DcmDataset * | targetDataset,
|  | size_t | numberOfFrames
| ) |  | const
| virtual

Add multiframe specific attributes.

Parameters

  targetDataset | pointer to DICOM dataset, must not be NULL
  numberOfFrames | number of frames in this dataset

Returns
  EC_Normal if successful, an error code otherwise

Implements I2DOutputPlug.

## ◆ isValid()

virtual OFString I2DOutputPlugOphthalmicPhotography::isValid | ( | DcmDataset & | dataset | ) | const
| virtual

Do some completeness / validity checks.

Should be called when dataset is completed and is about to be saved.

Parameters

  dataset | - [in] The dataset to check

Returns
  Error string if error occurs, empty string otherwise

Implements I2DOutputPlug.

## ◆ supportedSOPClassUIDs()

virtual void I2DOutputPlugOphthalmicPhotography::supportedSOPClassUIDs | ( | OFList< OFString > & | suppSOPs | ) |
| virtual

Overwrites function from base class.

Returns the Storage SOP class written by this plugin

Parameters

  suppSOPs | - [out] List of UIDs representing the supported SOP classes supported by this plugin.

Implements I2DOutputPlug.

## ◆ supportsMultiframe()

virtual OFBool I2DOutputPlugOphthalmicPhotography::supportsMultiframe | ( |  | ) | const
| virtual

check if the output format supported by this plugin can write multi-frame images.

Returns
  true if multiframe is supported, false otherwise

Implements I2DOutputPlug.

## ◆ updateColorModel()

virtual OFCondition I2DOutputPlugOphthalmicPhotography::updateColorModel | ( | OFString & | photometricInterpretation,
|  | E_TransferSyntax | outputTS
| ) |  | const
| virtual

change the photometric interpretation to the next best permitted one, for lenient mode

Parameters

  photometricInterpretation | - [in/out] photometric interpretation
  outputTS | - [in] output transfer syntax

Returns
  EC_Normal if a "compatible" replacement exists, an error code otherwise

Implements I2DOutputPlug.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/libi2d/i2dplop.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1